Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.jce.provider.symmetric
Class NoekeonMappings

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap
              org.bouncycastle.jce.provider.symmetric.NoekeonMappings

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map

    public class NoekeonMappings

extends java.util.HashMap

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.util.AbstractMap
`java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

Constructor Summary
`NoekeonMappings()`

Method Summary

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### NoekeonMappings

    public NoekeonMappings()

Bouncy Castle Cryptography Library 1.45